# ═══════════════════════════════════════════
# LandingForge Configuration
# ═══════════════════════════════════════════

site:
  domain: "yourdomain.com"
  brand_name: "YourBrand"
  tagline: "Next-Generation AI Solutions"
  contact_email: "hello@yourdomain.com"
  copyright_year: 2026
  analytics_id: ""

keywords:
  primary:
    - "AI writing assistant"
    - "content generation tool"
    - "automated copywriting"
  secondary:
    - "machine learning"
    - "natural language processing"
    - "GPT-powered writing"
    - "SEO content creator"
    - "marketing automation"
  long_tail:
    - "best AI writing tool for marketers"
    - "how to generate SEO content with AI"
    - "automated blog post writer free"
    - "AI content generator for small business"

seo:
  title_template: "{brand} — {primary_keyword} | {tagline}"
  description_length: 155
  og_image: "/assets/images/og-default.jpg"
  twitter_handle: "@yourbrand"
  schema_type: "SoftwareApplication"
  generate_faq_schema: true
  generate_breadcrumbs: true

languages:
  default: "en"
  supported:
    - code: "en"
      name: "English"
      flag_emoji: "🇺🇸"
    - code: "es"
      name: "Español"
      flag_emoji: "🇪🇸"
    - code: "fr"
      name: "Français"
      flag_emoji: "🇫🇷"
    - code: "de"
      name: "Deutsch"
      flag_emoji: "🇩🇪"
    - code: "pt"
      name: "Português"
      flag_emoji: "🇧🇷"
    - code: "ja"
      name: "日本語"
      flag_emoji: "🇯🇵"
  auto_detect: true

design:
  colors:
    background_primary: "#0a0a1a"
    background_secondary: "#12122a"
    background_tertiary: "#1a1a3e"
    text_primary: "#e8e8f0"
    text_secondary: "#a0a0c0"
    accent_primary: "#6c5ce7"
    accent_secondary: "#00cec9"
    accent_gradient_start: "#6c5ce7"
    accent_gradient_end: "#a29bfe"
    glow_color: "rgba(108, 92, 231, 0.4)"
    border_color: "rgba(255, 255, 255, 0.08)"
    success: "#00b894"
    warning: "#fdcb6e"
    danger: "#e17055"
  fonts:
    heading: "Inter"
    body: "Inter"
    mono: "JetBrains Mono"
    heading_weight: 700
    body_weight: 400
  enable_glow: true
  enable_glassmorphism: true
  enable_particles: false
  border_radius: "12px"
  animation_duration: "0.8s"

content:
  hero:
    headline: "Transform Your Content with AI"
    subheadline: "Create stunning, SEO-optimized content in seconds with our AI-powered writing assistant."
    cta_primary_text: "Get Started Free"
    cta_primary_url: "#signup"
    cta_secondary_text: "Watch Demo"
    cta_secondary_url: "#demo"
    rotating_texts:
      - "Blog Posts"
      - "Marketing Copy"
      - "Product Descriptions"
      - "Social Media Content"
      - "Email Campaigns"
    show_prompt_input: true
    brand_logos:
      - name: "TechCorp"
      - name: "MediaFlow"
      - name: "ContentPro"
      - name: "DataSync"
      - name: "WriteAI"

  features:
    section_title: "Powerful Features"
    section_subtitle: "Everything you need to create exceptional content"
    tabs:
      - title: "AI Writing"
        icon: "fa-robot"
        heading: "Intelligent Content Generation"
        description: "Our AI understands context, tone, and intent to produce human-quality content that engages your audience and ranks on search engines."
        bullets:
          - "Natural language generation with GPT technology"
          - "Tone and style customization"
          - "Multi-format output (blog, social, email)"
        image_alt: "AI writing interface screenshot"
      - title: "SEO Tools"
        icon: "fa-chart-line"
        heading: "Built-in SEO Optimization"
        description: "Every piece of content is automatically optimized for search engines with keyword placement, readability scoring, and meta tag generation."
        bullets:
          - "Real-time keyword density analysis"
          - "Readability score checker"
          - "Auto-generated meta descriptions"
        image_alt: "SEO analysis dashboard"
      - title: "Analytics"
        icon: "fa-chart-pie"
        heading: "Performance Analytics"
        description: "Track how your AI-generated content performs across search engines and social media with integrated analytics."
        bullets:
          - "Content performance tracking"
          - "Search ranking monitoring"
          - "Social engagement metrics"
        image_alt: "Analytics dashboard showing content performance"
      - title: "Collaboration"
        icon: "fa-users"
        heading: "Team Collaboration"
        description: "Work together with your team in real-time. Share drafts, leave comments, and manage content workflows seamlessly."
        bullets:
          - "Real-time collaborative editing"
          - "Role-based access control"
          - "Content approval workflows"
        image_alt: "Team collaboration interface"

  how_to:
    section_title: "How It Works"
    section_subtitle: "Get started in three simple steps"
    steps:
      - number: 1
        title: "Enter Your Topic"
        description: "Type your topic, keywords, or a brief description of what you want to create. Our AI understands natural language."
        image_alt: "Step 1 - entering a topic into the AI prompt"
      - number: 2
        title: "Customize & Generate"
        description: "Choose your tone, length, and format. Click generate and watch as the AI creates optimized content in seconds."
        image_alt: "Step 2 - customizing content settings"
      - number: 3
        title: "Publish & Track"
        description: "Review, edit if needed, and publish directly to your platform. Track performance with built-in analytics."
        image_alt: "Step 3 - publishing content and viewing analytics"

  faq:
    section_title: "Frequently Asked Questions"
    style: "accordion"
    items:
      - question: "What is {brand_name}?"
        answer: "{brand_name} is an AI-powered content generation platform that helps marketers, writers, and businesses create high-quality, SEO-optimized content in minutes."
      - question: "Do I need technical knowledge to use it?"
        answer: "Not at all. {brand_name} is designed for everyone — from beginners to experienced marketers. Just type what you need, and the AI does the rest."
      - question: "Is the generated content unique?"
        answer: "Yes. Every piece of content is generated fresh and unique. We also include a built-in plagiarism checker to ensure originality."
      - question: "What languages are supported?"
        answer: "{brand_name} supports content generation in over 25 languages, including English, Spanish, French, German, Portuguese, and Japanese."
      - question: "Is there a free plan?"
        answer: "Yes! We offer a generous free tier that includes 10,000 words per month. No credit card required."
      - question: "How does the SEO optimization work?"
        answer: "Our AI automatically analyzes your target keywords, optimizes keyword placement, generates meta descriptions, and scores readability — all before you publish."

  footer:
    columns:
      - title: "Product"
        links:
          - text: "Features"
            url: "#features"
          - text: "Pricing"
            url: "#pricing"
          - text: "Demo"
            url: "#demo"
      - title: "Company"
        links:
          - text: "About"
            url: "/about.html"
          - text: "Blog"
            url: "/blog.html"
          - text: "Contact"
            url: "/contact.html"
      - title: "Legal"
        links:
          - text: "Privacy Policy"
            url: "/privacy.html"
          - text: "Terms of Service"
            url: "/terms.html"
          - text: "Cookie Policy"
            url: "/cookies.html"
    social_links:
      - platform: "twitter"
        url: "https://twitter.com/yourbrand"
        icon: "fa-brands fa-x-twitter"
      - platform: "github"
        url: "https://github.com/yourbrand"
        icon: "fa-brands fa-github"
      - platform: "linkedin"
        url: "https://linkedin.com/company/yourbrand"
        icon: "fa-brands fa-linkedin"

gdpr:
  cookie_banner: true
  cookie_message: "We use cookies to enhance your experience. By continuing to visit this site you agree to our use of cookies."
  privacy_policy_url: "/privacy.html"
  cookie_categories:
    - name: "necessary"
      label: "Necessary"
      required: true
    - name: "analytics"
      label: "Analytics"
      default: false
    - name: "marketing"
      label: "Marketing"
      default: false

deployment:
  output_dir: "./"
  apache:
    enabled: true
    server_name: "yourdomain.com"
    server_alias: "www.yourdomain.com"
    document_root: "/var/www/yourdomain"
    enable_gzip: true
    enable_browser_caching: true
    cache_max_age: 2592000
  certbot:
    enabled: true
    email: "admin@yourdomain.com"
    agree_tos: true
    redirect_http: true
